
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "dockman/identity"

Gem::Specification.new do |spec|
  spec.name          = Dockman::Identity.name
  spec.version       = Dockman::Identity.version
  spec.authors       = ["Petros Papadopoulos"]
  spec.email         = ["petros@rolling.space"]

  spec.summary       = %q{Dockman manages docker-compose files for your server needs}
  spec.description   = %q{Dockman reads partial docker-compose configurations and concatenates them in a single master file.}
  spec.homepage      = "https://gitlab.com/petrosp/dockman"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    # spec.metadata["allowed_push_host"] = "Set to 'http://mygemserver.com'"

    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = spec.homepage
    spec.metadata["changelog_uri"] = spec.homepage
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'actionpack', ['>= 4.1', '< 6']
  spec.add_dependency 'activesupport', ['>= 4.1', '< 6']
  spec.add_dependency 'thor', '~> 0.20'
  spec.add_dependency 'awesome_print', '~> 1.8'
  spec.add_dependency "anyway_config", "~> 1.0"
  spec.add_dependency 'tty-tree', '~> 0.2'
  spec.add_dependency 'tty-table','~> 0.10'
  spec.add_dependency 'docker-compose', '~> 1.1'

  spec.add_development_dependency 'rake', "~> 12.3"
  spec.add_development_dependency 'rubygems-tasks', '~> 0.2'
  spec.add_development_dependency 'bundler', "~> 1.17"
  spec.add_development_dependency 'rspec', "~> 3.8"
  spec.add_development_dependency 'pry','~> 0.12'
  spec.add_development_dependency "rake-version", "~> 1.0"
end
